Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.streaming
Class StreamOutSession

    java.lang.Object
      org.apache.cassandra.streaming.AbstractStreamSession
          org.apache.cassandra.streaming.StreamOutSession

All Implemented Interfaces:
  IEndpointStateChangeSubscriber, IFailureDetectionEventListener

    public class StreamOutSession

extends AbstractStreamSession

This class manages the streaming of multiple files one after the other.

Field Summary

Fields inherited from class org.apache.cassandra.streaming.AbstractStreamSession
`callback, context, table`

Method Summary
`void` | `addFilesToStream(java.util.List<PendingFile> pendingFiles)`
`void` | `begin()`
`protected void` | `closeInternal(boolean success)`
`static StreamOutSession` | `create(java.lang.String table, java.net.InetAddress host, IStreamCallback callback)`
`static StreamOutSession` | `create(java.lang.String table, java.net.InetAddress host, long sessionId)`
`static StreamOutSession` | `create(java.lang.String table, java.net.InetAddress host, long sessionId, IStreamCallback callback)`
`static StreamOutSession` | `get(java.net.InetAddress host, long sessionId)`
`static java.util.Set<java.net.InetAddress>` | `getDestinations()`
`java.util.Collection<PendingFile>` | `getFiles()`
`static java.util.List<PendingFile>` | `getOutgoingFiles(java.net.InetAddress host)`
`void` | `retry()`
`void` | `startNext()`
`void` | `validateCurrentFile(java.lang.String file)`

Methods inherited from class org.apache.cassandra.streaming.AbstractStreamSession
`close, convict, getHost, getSessionId, getSourceFlag, onAlive, onChange, onDead, onJoin, onRemove, onRestart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static StreamOutSession create(java.lang.String table,
                                          java.net.InetAddress host,
                                          IStreamCallback callback)

### create

    public static StreamOutSession create(java.lang.String table,
                                          java.net.InetAddress host,
                                          long sessionId)

### create

    public static StreamOutSession create(java.lang.String table,
                                          java.net.InetAddress host,
                                          long sessionId,
                                          IStreamCallback callback)

### get

    public static StreamOutSession get(java.net.InetAddress host,
                                       long sessionId)

### addFilesToStream

    public void addFilesToStream(java.util.List<PendingFile> pendingFiles)

### retry

    public void retry()

### startNext

    public void startNext()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeInternal

    protected void closeInternal(boolean success)

  Specified by:
    `closeInternal` in class `AbstractStreamSession`

### getFiles

    public java.util.Collection<PendingFile> getFiles()

### getDestinations

    public static java.util.Set<java.net.InetAddress> getDestinations()

### getOutgoingFiles

    public static java.util.List<PendingFile> getOutgoingFiles(java.net.InetAddress host)

### validateCurrentFile

    public void validateCurrentFile(java.lang.String file)

### begin

    public void begin()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation